#========================================================================
#========================================================================
%define name 	igwn-cmake
%define version 1.2.3
%define release 1
%define summary This is a collection of CMake functions used as a replacement for autoconf macros
%if ( 0%{?rhel} && 0%{?rhel} >= 8 ) || ( 0%{?fedora} && 0%{?fedora} >= 26 )
%define BuildRequiresCMake BuildRequires:  cmake >= 3.6
%define cmake cmake
%define ctest ctest
%else
%define BuildRequiresCMake BuildRequires:  cmake3 >= 3.6, cmake
%define cmake cmake3
%define ctest ctest3
%endif

#========================================================================
# Main spec file
#========================================================================
Name: 		%{name}
Summary: 	%{summary}
Version: 	%{version}
Release: 	%{release}%{?dist}
License: 	GPLv2+
Group: 		LSC Software/Data Analysis
Source: 	%{name}-%{version}.tar.gz
Packager: Edward Maros (ed.maroso@ligo.org)
URL: 		  "https://git.ligo.org/ldastools/igwn-cmake"
BuildArch:      noarch
BuildRoot:      %{buildroot}
%BuildRequiresCMake
BuildRequires:  rpm-build
BuildRequires:  python3-rpm-macros
BuildRequires:  make
BuildRequires:  gcc, gcc-c++, glibc
BuildRequires:	gawk, pkgconfig
BuildRequires:  doxygen
Provides: 	%{name}
Obsoletes:	%{name} < %{version}
Prefix:		%_prefix

%description


#------------------------------------------------------------------------
# Get onto the fun of building the NDS software
#------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake \
    -DCMAKE_BUILD_TYPE=RelWithDebInfo \
    -DCMAKE_INSTALL_PREFIX=%{_prefix} \
    -DCMAKE_INSTALL_LIBDIR=%{_libdir} \
    -Wno-dev \
    .

%install
make DESTDIR=%{buildroot} install

%check
%ctest --verbose %{?_smp_mflags}


#----------------------------------------------
# Do the noarch files
#----------------------------------------------

%files
%_datadir/

%changelog
* Fri Jul 30 2021 Edward Maros <ed.maros@ligo.org> - 1.2.3-1
- Built for new release

* Wed Mar 03 2021 Edward Maros <ed.maros@ligo.org> - 1.2.2-1
- Built for new release

* Thu May 28 2020 Edward Maros <ed.maros@ligo.org> - 1.2.1-1
- Removed .git* files from source distribution

* Wed May 27 2020 Edward Maros <ed.maros@ligo.org> - 1.2.0-1
- Built for new release
